| Home | Libraries | People | FAQ | More

## Function template remove

boost::compute::remove

## Synopsis

    // In header: <boost/compute/algorithm/remove.hpp>

    template<typename Iterator, typename T>
      Iterator remove(Iterator first, Iterator last, const T & value,
                      command_queue & queue = system::default_queue());

## Description

Removes each element equal to `value` in the range [`first`, `last`).

See Also:

remove_if()